#docker-compose.yml

version: "3.3"
services:

  jellyfin:
    logging:
      driver: loki
      options:
        loki-url: "http://localhost:3100/loki/api/v1/push"
    image: jellyfin/jellyfin:latest
    container_name: jellyfin
    volumes:
      - /home/icke/jellyfin/:/config
      - /mnt/:/media:rw
    ports:
      - "8096:8096"
    environment:
      - PUID=0
      - PGID=0
      - TZ=Europe/Berlin
        #env_file:
        #- /home/icke/env_files/grafana_logging.env
    labels:
      - com.centurylinklabs.watchtower.enable=true
    restart: unless-stopped
    networks:
      jellyfin:
        ipv4_address: 172.21.0.2

networks:
  jellyfin:
    driver: bridge
    ipam:
     config:
       - subnet: 172.21.0.0/30
